Summary:	Chrony clock synchronization program
Name:		chrony
Version:	1.15
Release:	1mdk
License:	Distributable
Group:		System/Configuration/Other

Source:		%name-%version.tar.bz2
Patch:		chrony-1.14-fix.patch.bz2

Buildroot:	%_tmppath/%name-%version-%release-root
ExcludeArch:	ppc

%description
A pair of programs for keeping computer clocks accurate.

chronyd is a background (daemon) program and chronyc is a command-line interface
to it. Time reference sources for chronyd can be RFC1305 NTP servers, human (via
keyboard and chronyc), and the computer's real-time clock at boot time (Linux
only).

chronyd can determine the rate at which the computer gains or loses time and
compensate for it whilst no external reference is present. chronyd's use of
NTP servers can be switched on and off (through chronyc) to support computers
with dial-up/intermittent access to the Internet.

chronyd can also act as an RFC1305-compatible NTP server.

%prep

%setup -q -n chrony-1.15
%patch -p1

%build
./configure --prefix=%buildroot/%_prefix
%make
%make info

%install
install -m 755 -d %buildroot/var/log/chrony

install -m 755 -d %buildroot/%_sysconfdir/rc.d/init.d/
install -m 755 -d %buildroot/%_sysconfdir/logrotate.d/
install -m 755 chronyd.init %buildroot/%_sysconfdir/rc.d/init.d/chronyd
install -m 644 chrony.conf %buildroot/%_sysconfdir/chrony.conf
install -m 600 chrony.keys %buildroot/%_sysconfdir/chrony.keys
install -m 644 chrony.log %buildroot/%_sysconfdir/logrotate.d/chrony

install -m 755 -d %buildroot/%_sysconfdir/rc.d/rc0.d
install -m 755 -d %buildroot/%_sysconfdir/rc.d/rc1.d 
install -m 755 -d %buildroot/%_sysconfdir/rc.d/rc2.d 
install -m 755 -d %buildroot/%_sysconfdir/rc.d/rc3.d 
install -m 755 -d %buildroot/%_sysconfdir/rc.d/rc5.d
install -m 755 -d %buildroot/%_sysconfdir/rc.d/rc6.d  

ln -sf %_sysconfdir/rc.d/init.d/chronyd %buildroot/%_sysconfdir/rc.d/rc0.d/K20chronyd
ln -sf %_sysconfdir/rc.d/init.d/chronyd %buildroot/%_sysconfdir/rc.d/rc1.d/K20chronyd
ln -sf %_sysconfdir/rc.d/init.d/chronyd %buildroot/%_sysconfdir/rc.d/rc2.d/S60chronyd
ln -sf %_sysconfdir/rc.d/init.d/chronyd %buildroot/%_sysconfdir/rc.d/rc3.d/S60chronyd
ln -sf %_sysconfdir/rc.d/init.d/chronyd %buildroot/%_sysconfdir//rc.d/rc5.d/S60chronyd
ln -sf %_sysconfdir/rc.d/init.d/chronyd %buildroot/%_sysconfdir/rc.d/rc6.d/K20chronyd

install -m 755 -d %buildroot/%_bindir
install -m 755 -d %buildroot/%_sbindir
install -m 755 chronyd %buildroot/%_sbindir
install -m 755 chronyc %buildroot/%_bindir

install -m 755 -d %buildroot/%_infodir
install -m 644 chrony.info* %buildroot/%_infodir

%pre
mkdir -p /var/log/chrony

%post
/sbin/install-info %_infodir/chrony.info.*.bz2 %_infodir/dir

%postun
rm -rf /var/log/chrony
rm -f %_sysconfdir/chrony.drift /etc/chrony.rtc
/sbin/install-info --delete %_infodir/chrony.info.*.bz2 %_infodir/dir

%files
%defattr (-,root,root)
%_sbindir/*
%_bindir/*
%dir /var/log/chrony
%config(noreplace) %_sysconfdir/rc.d/init.d/chronyd
%config(noreplace) %_sysconfdir/chrony.conf
%config(noreplace) %_sysconfdir/chrony.keys
%config(noreplace) %_sysconfdir/logrotate.d/chrony
%config(missingok noreplace) %_sysconfdir/rc.d/rc0.d/K20chronyd
%config(missingok noreplace) %_sysconfdir/rc.d/rc1.d/K20chronyd
%config(missingok noreplace) %_sysconfdir/rc.d/rc2.d/S60chronyd
%config(missingok noreplace) %_sysconfdir/rc.d/rc3.d/S60chronyd
%config(missingok noreplace) %_sysconfdir/rc.d/rc5.d/S60chronyd
%config(missingok noreplace) %_sysconfdir/rc.d/rc6.d/K20chronyd
%_infodir/*
%doc INSTALL README README.rh LICENCE chrony.txt chrony.texi 

%changelog
* Thu Jun 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- update to 1.15

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 1.14-3mdk
- ExcludeArch: ppc
- Macros
- Spec clean up

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-2mdk
- fix info pages

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-1mdk
- include fixes from :
 	Tue Sep 18 2000 W. Unruh <unruh@phsyics.ubc.ca> 1.14-1mdk
	-fix links in %_sysconfdir/rc.d
	-update to version 1.14
- macros

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.11-2mdk
- fix group
- spec helper fixes

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fixed non-root build of the package
- bypass install script
- add correct links
- used original srpm provided by Per Wedin <perra@m-media.se>

* Sun Feb 06 2000 Per Wedin <perra@m-media.se>
- 1.11-2: Minor changes in chrony-1.11.spec
 
* Sat Feb 05 2000 Per Wedin <perra@m-media.se>
- New version: 1.11-1. First try...
 
* Wed Jun 24 1998 Corey Minyard <minyard@acm.org>
- Fixed all the configuration information so it went out correctly
 
* Mon Jun 22 1998 Corey Minyard <minyard@acm.org>
- Initial version.             
